com.pixelmed.display

## Class ChestImageViewer

- java.lang.Object
- - com.pixelmed.display.ChestImageViewer

    public class ChestImageViewer
    extends java.lang.Object

This class is an entire application for displaying and viewing chest x-ray images.

It is invoked using a main method with a list of DICOM image file names.

### Field Summary

Fields
`protected javax.swing.JFrame` `frame`
`protected int` `frameHeight`
`protected int` `frameWidth`
`protected javax.swing.JPanel` `multiPanel`

### Constructor Summary

Constructors
Constructor and Description
`ChestImageViewer(java.lang.String[] filenames)`

### Method Summary

Methods
`void` `clear()`
`static DisplayDeviceArea[]` `getPresentationAndImageDeviceAreas()`
`void` `loadMultiPanelFromSpecifiedFiles(java.lang.String[] filenames)`
`static void` `main(java.lang.String[] arg)` The method to invoke the application.
`protected SingleImagePanel` `makeNewImagePanel(SourceImage sImg, EventContext typeOfPanelEventContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### frame

    protected javax.swing.JFrame frame

#### multiPanel

    protected javax.swing.JPanel multiPanel

#### frameWidth

    protected int frameWidth

#### frameHeight

    protected int frameHeight

### Constructor Detail

#### ChestImageViewer

    public ChestImageViewer(java.lang.String[] filenames)
                     throws java.lang.Exception

Parameters:
  `filenames` -
Throws:
  `java.lang.Exception` - if internal error

### Method Detail

#### makeNewImagePanel

    protected SingleImagePanel makeNewImagePanel(SourceImage sImg,
                                     EventContext typeOfPanelEventContext)

#### loadMultiPanelFromSpecifiedFiles

    public void loadMultiPanelFromSpecifiedFiles(java.lang.String[] filenames)
                                          throws java.lang.Exception

Parameters:
  `filenames` -
Throws:
  `java.lang.Exception` - if internal error

#### getPresentationAndImageDeviceAreas

    public static DisplayDeviceArea[] getPresentationAndImageDeviceAreas()

#### clear

    public void clear()

#### main

    public static void main(java.lang.String[] arg)

The method to invoke the application.

Parameters:
  `arg` - a list of DICOM files which may contain chest x-ray images